<?php
/*
 * 404 Page
 * Template for 404 pages (not found)
 *
 * package Zolog
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<div class="zolog-entry <?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
    <div class="zolog-content">
        <?php is_rtl() ? get_sidebar('right') : get_sidebar('left'); ?>
        <article <?php post_class('page'); ?>>
            <h1 class="entry-title"><?php esc_html_e('404', 'zolog'); ?></h1>
            <div class="entry-content">
                <?php esc_html_e('The page you requested could not found', 'zolog'); ?>
                <?php get_search_form(); ?>
                <a href="<?php echo esc_url(home_url()); ?>"><?php esc_html_e('Back To Home Page', 'zolog'); ?></a>
            </div>
        </article>
        <?php is_rtl() ? get_sidebar('left') : get_sidebar('right'); ?>
    </div>
</div>
<?php
get_footer();
