<?php
/*
 * Template for displaying comments for posts
 *
 * package Zolog
 */

if (!defined('ABSPATH')) {
    exit;
}
?>
<?php
if (post_password_required()) {
    return;
}
?>

<div id="comments" class="comments-area">
    <?php
    $comment_args = array(
        'title_reply' => esc_html__('Leave a reply', 'zolog'),
        'fields' => apply_filters('comment_form_default_fields', array(
            'author' => '<div class="comment-form-info"><p class="comment-form-author">' .
                '<input id="author" name="author" placeholder="' . esc_html__('Name', 'zolog') . ($req ? ' *' : '') . '" type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30" /></p>',
            'email' => '<p class="comment-form-email">' .
                '<input id="email" name="email" placeholder="' . esc_html__('Email', 'zolog') . ($req ? ' *' : '') . '" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" size="30" />' . '</p></div>',
            'url' => ''
        )),
        'comment_field' => '<p class="comment-form-comment">' .
            '<textarea id="comment" placeholder="' . esc_html__('Write a Comment', 'zolog') . ' *" name="comment" cols="45" aria-required="true"></textarea>' .
            '</p>',
        'comment_notes_after' => '',
        'comment_notes_before' => '',
    );
    comment_form($comment_args);
    ?>
    <?php if (have_comments()) { /* check the post has comment*/ ?>
        <h3 class="comments-title">
            <?php
            $comments_number = get_comments_number(); ?>
            <?php if ('0' === $comments_number) : ?>
                <?php esc_html_e("0 Comment", 'zolog') ?>
            <?php elseif ('1' === $comments_number) : ?>
                <?php esc_html_e("One Comment", 'zolog') ?>
            <?php else : ?>
                <?php echo esc_html($comments_number); ?><?php esc_html_e(" Comments", 'zolog') ?>
            <?php endif; ?>
            <span></span>
        </h3>

        <div class="comment-list">
            <?php
            wp_list_comments(
                array(
                    'style' => '<div>',
                    'short_ping' => true,
                    'avatar_size' => 70,
                    'callback' => 'hs_zolog_custom_comment_list'
                )
            );
            ?>
        </div>

        <div class="comment-pagination">
            <?php paginate_comments_links(array('prev_text' => __('<i class="fa fa-angle-left"></i>', 'zolog'), 'next_text' => __('<i class="fa fa-angle-right"></i>', 'zolog'))); ?>
        </div>

    <?php }
    ?>

</div>