<?php

/**
 * The template for displaying the footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package zolog
 */
?>

</main>

<?php if (is_active_sidebar('hs_zolog_before_footer')) : ?>
    <div class="before-footer">
        <?php dynamic_sidebar('hs_zolog_before_footer'); ?>
    </div>
<?php endif;
$is_footer_active = false;
for ($counter = 1; $counter <= get_theme_mod('zolog_footer_columns', '3'); $counter++) {
    if (is_active_sidebar('footer' . $counter)) {
        $is_footer_active = true;
    }
} ?>
<?php if (esc_attr(get_theme_mod('zolog_footer_display', 'yes') == 'yes')) : ?>
    <footer class="site-footer">
        <?php
        if ($is_footer_active) : ?>
            <div class="inner-footer <?php echo esc_attr(get_theme_mod('zolog_footer_width', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?> column-<?php echo esc_attr(get_theme_mod('zolog_footer_columns', '3')); ?>">

                <?php for ($counter = 1; $counter <= get_theme_mod('zolog_footer_columns', '3'); $counter++) : ?>
                    <div class="footer">
                        <?php if (is_active_sidebar('footer' . $counter)) : ?>
                            <?php dynamic_sidebar('footer' . $counter); ?>
                        <?php endif; ?>
                    </div>
                <?php endfor; ?>

            </div>
        <?php endif; ?>
    </footer>
<?php endif; ?>
<?php if (esc_attr(get_theme_mod('zolog_copy_right_display', 'yes') == 'yes')) : ?>
    <div class="site-copyright">
        <div class="inner-copyright zolog-flex  flex-2 zolog-center <?php echo esc_attr(get_theme_mod('zolog_copy_right_width', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
            <div class="copyright">
                <?php
                $copyright = get_theme_mod('zolog_copyright_text', '© {year} {site_name}');
                $copyright = str_replace("{year}", date("Y"), $copyright);
                $copyright = str_replace("{site_name}", get_bloginfo('name'), $copyright);
                $copyright = str_replace("{description}", get_bloginfo('description'), $copyright);

                echo wp_kses_post($copyright);
                 ?>
            </div>
            <div class="social-media">
                <?php
                if (has_nav_menu('bottom-social-menu')) {
                    wp_nav_menu(array(
                        'menu' => 'social-menu',
                        'theme_location' => 'bottom-social-menu',
                        'container' => 'ul'
                    ));
                } ?>
            </div>
        </div>
    </div>
<?php endif; ?>
</div>
<?php wp_footer(); ?>

</body>

</html>