<?php

/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Zolog
 * @since Zolog 1.0
 */

?>
<!doctype html>
<html <?php language_attributes();
        ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

    <?php wp_head();
    ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <div id='page' class='site'>
        <a class='skip-link screen-reader-text' href='#content'>
            <?php esc_html_e('Skip to content', 'zolog'); ?>
        </a>
        <?php if (get_theme_mod('zolog_to_top', 'yes') == 'yes') : ?>
            <button class='to-top zolog-arrow' onclick='window.scrollTo({top: 0, behavior: "smooth"});'>
                <span class='dashicons dashicons-arrow-up-alt'></span>
            </button>
        <?php endif;
        ?>

        <div class='search-box-responsive'>
            <div class='close' tabindex='0'><span class='dashicons dashicons-no-alt'></span></div>
            <?php get_search_form();
            ?>
        </div>

        <header class='site-header'>
            <?php if (get_theme_mod('zolog_top_display', 'yes') == 'yes') : ?>
                <div class='header-top'>
                    <div class="zolog-flex flex-2 zolog-center <?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
                        <div class='social-media'>
                            <?php
                            if (has_nav_menu('social-menu')) {
                                wp_nav_menu(array(
                                    'menu' => 'social-menu',
                                    'theme_location' => 'social-menu',
                                    'container' => 'ul'
                                ));
                            }
                            ?>
                        </div>
                        <div class='search-box'>
                            <?php get_search_form();
                            ?>
                        </div>
                        <div class='search-box-responsive-icon'>
                            <span tabindex='0' class='dashicons dashicons-search'></span>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <?php if (get_theme_mod('zolog_header_display', 'yes') == 'yes') : ?>
                <?php get_template_part('template-parts/header-template/theme-1'); ?>
            <?php endif; ?>
        </header>
        <main>