<?php
if (!function_exists('hs_zolog_archive_customizer_register')) {
    function hs_zolog_archive_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_archive',
            array(
                'title' => __('Archive', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_archive_title_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_title_display',
            array(
                'label'      => __('Page Title (Available in Pro)', 'zolog'),
                'description' => __('Hide or display Archive Page Title.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_title_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_title_width',
            array(
                'default'     => 'boxed',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_title_width',
            array(
                'label'      => __('Width (Available in Pro)', 'zolog'),
                'description' => __('Choose the width of the Archive Page Title.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_title_width',
                'disabled'  => true,
                'choices'    => array(
                    'boxed' => __('Boxed', 'zolog'),
                    'wide' => __('Wide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_title_align',
            array(
                'default'     => 'center',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_title_align',
            array(
                'label'      => __('Title Text Align (Available in Pro)', 'zolog'),
                'description' => __('Choose the text align of the Archive Page Title.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_title_align',
                'disabled'  => true,
                'choices'    => array(
                    'left' => __('Left', 'zolog'),
                    'center' => __('Center', 'zolog'),
                    'right' => __('Right', 'zolog'),
                ),
            )
        ));

        $wp_customize->add_setting('zolog_archive_title_bg_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_archive_title_bg_color',
            array(
                'label'    => __('Title Background Color (Available in Pro)', 'zolog'),
                'description'    => __('Change Archive Page Title background color.', 'zolog'),
                'section'  => 'zolog_archive',
            )
        ));

        $wp_customize->add_setting('zolog_archive_title_text_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_archive_title_text_color',
            array(
                'label'    => __('Title Text Color (Available in Pro)', 'zolog'),
                'description'    => __('Change Archive Page Title text color.', 'zolog'),
                'section'  => 'zolog_archive',
            )
        ));

        $wp_customize->add_setting('zolog_archive_title_term_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_archive_title_term_color',
            array(
                'label'    => __('Title Term Color (Available in Pro)', 'zolog'),
                'description'    => __('Change Archive Page Title term color.', 'zolog'),
                'section'  => 'zolog_archive',
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_mode',
            array(
                'default'     => 'grid',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_mode',
            array(
                'label'      => __('Layout', 'zolog'),
                'description' => __('Choose Archive Page layout.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_mode',
                'disabled'  => true,
                'choices'    => array(
                    'grid' => __('Grid', 'zolog'),
                    'masonry' => __('Masonry (Available in Pro)', 'zolog'),
                    'list' => __('List (Available in Pro)', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_archive_theme', array(
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'zolog_sanitize_select',
            'default' => '1',
        ));

        $wp_customize->add_control('zolog_archive_theme', array(
            'type' => 'select',
            'section' => 'zolog_archive',
            'label' => __('Theme', 'zolog'),
            'description' => __('Choose posts theme. Other themes available in Pro version.', 'zolog'),
            'settings' => 'zolog_archive_theme',
            'choices' => array(
                '1' => __('Theme One', 'zolog'),
            ),
        ));

        $wp_customize->add_setting('zolog_archive_columns', array(
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'zolog_sanitize_select',
            'default' => '2',
        ));

        $wp_customize->add_control('zolog_archive_columns', array(
            'type' => 'select',
            'section' => 'zolog_archive',
            'label' => __('Columns', 'zolog'),
            'description' => __('Choose columns to display.', 'zolog'),
            'settings' => 'zolog_archive_columns',
            'choices' => array(
                '1' => __('One', 'zolog'),
                '2' => __('Two', 'zolog'),
                '3' => __('Three', 'zolog'),
                '4' => __('Four', 'zolog'),
            ),
        ));

        $wp_customize->add_setting(
            'zolog_archive_display_thumbnail',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_display_thumbnail',
            array(
                'label'      => __('Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Hide or display posts thumbnail.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_display_thumbnail',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_thumbnail_width_mode',
            array(
                'default'     => 'custom',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_thumbnail_width_mode',
            array(
                'label'      => __('Thumbnail Size', 'zolog'),
                'description' => __('In custom option, all thumbnails will be displayed in the chosen width and height. Use <a rel="nofollow noreferrer" target="_blank" href="https://wordpress.org/plugins/regenerate-thumbnails/">Regenerate Thumbnails</a> plugin after changing the options.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_thumbnail_width_mode',
                'disabled'  => true,
                'choices'    => array(
                    'custom' => __('Custom', 'zolog'),
                    'full' => __('Full Size (Available in Pro)', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_archive_thumbnail_width', array(
            'default' => '600',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_archive_thumbnail_width', array(
            'type' => 'input',
            'label' => __('Thumbnail Width (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_archive',
            'settings' => 'zolog_archive_thumbnail_width',
            'disabled'  => true,
            'choices' => array(
                'columns' => '600'
            )
        )));

        $wp_customize->add_setting('zolog_archive_thumbnail_height', array(
            'default' => '400',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_archive_thumbnail_height', array(
            'type' => 'input',
            'label' => __('Thumbnail Height (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_archive',
            'settings' => 'zolog_archive_thumbnail_height',
            'disabled'  => true,
            'choices' => array(
                'columns' => '400'
            )
        )));

        $wp_customize->add_setting(
            'zolog_archive_crop_thumbnail',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_crop_thumbnail',
            array(
                'label'      => __('Crop Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Thumbnails will be cropped by WordPress.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_crop_thumbnail',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Yes', 'zolog'),
                    'no' => __('No', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_archive_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_archive_display',
            array(
                'label'      => __('Share Buttons in archive', 'zolog'),
                'description' => __('Hide or display share buttons only in archive posts not others or even post or page.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_share_bottuns_archive_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_archive_place',
            array(
                'default'     => 'after',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_archive_place',
            array(
                'label'      => __('Share Buttons Display Place (Available in Pro)', 'zolog'),
                'description' => __('Choose where to display.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_share_bottuns_archive_place',
                'disabled'  => true,
                'choices'    => array(
                    'after' => __('After Content', 'zolog'),
                    'before' => __('Before Content', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_display_category',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_display_category',
            array(
                'label'      => __('Category (Available in Pro)', 'zolog'),
                'description' => __('Hide or display category name of the posts.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_display_category',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_display_meta',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_display_meta',
            array(
                'label'      => __('Post Meta (Available in Pro)', 'zolog'),
                'description' => __('Hide or display meta (author name and date) of the posts.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_display_meta',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_archive_display_content',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_display_content',
            array(
                'label'      => __('Post Content (Available in Pro)', 'zolog'),
                'description' => __('Hide or display content of the posts.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_display_content',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_archive_content_length', array(
            'default' => '50',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_archive_content_length', array(
            'type' => 'input',
            'label' => __('Content Length (word)', 'zolog'),
            'section' => 'zolog_archive',
            'settings' => 'zolog_archive_content_length',
            'choices' => array(
                'columns' => '50'
            )
        )));

        $wp_customize->add_setting('zolog_archive_content_excerpt_end', array(
            'default' => '...',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_archive_content_excerpt_end', array(
            'type' => 'text',
            'label' => __('Excerpt [...]', 'zolog'),
            'description' => __('Type words to display in the end of the excerpt. Leave empty to delete the end word.', 'zolog'),
            'section' => 'zolog_archive',
            'settings' => 'zolog_archive_content_excerpt_end'
        )));

        $wp_customize->add_setting(
            'zolog_archive_content_display_read_more',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_archive_content_display_read_more',
            array(
                'label'      => __('Read More (Available in Pro)', 'zolog'),
                'description' => __('Hide or display read more button of the posts.', 'zolog'),
                'section'    => 'zolog_archive',
                'settings'   => 'zolog_archive_content_display_read_more',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_archive_content_read_more_text', array(
            'default' => __('continue reading...', 'zolog'),
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_archive_content_read_more_text', array(
            'type' => 'text',
            'label' => __('Read More Text', 'zolog'),
            'description' => __('Change the text of the read more button.', 'zolog'),
            'section' => 'zolog_archive',
            'settings' => 'zolog_archive_content_read_more_text'
        )));
    }

    add_action('customize_register', 'hs_zolog_archive_customizer_register');
}
