<?php
/*
 * Customizer Input Number Option
 *
 * package WordPress
 * subpackage Zolog
 * since Zolog 1.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

if (!class_exists('hs_Zolog_Input_Number_Option')) {
    class hs_Zolog_Input_Number_Option extends WP_Customize_Control
    {
        public $disabled = false;
        public function __construct($manager, $id, $args = array())
        {
            parent::__construct($manager, $id, $args);
            if (isset($args['disabled'])) {
                if ($args['disabled'] == true) {
                    $this->disabled = true;
                }
            }
        }

        public function render_content()
        {
            if (empty($this->choices))
                return;

            $name = '_customize-number-' . $this->id; ?>

            <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
            <p class="customize-control-description"><?php echo esc_html($this->description); ?></p>
            <?php
            foreach ($this->choices as $value => $label) :
            ?>
                <input <?php $this->link(); ?>type="number" style="display: inline;" <?php echo $this->disabled == true ? 'disabled=""' : '' ?> value="<?php echo esc_attr($value); ?>" name="<?php echo esc_attr($name); ?>" />
<?php
            endforeach;
        }
    }
}
