<?php
if (!function_exists('hs_zolog_comment_customizer_register')) {
    function hs_zolog_comment_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_comment',
            array(
                'title' => __('Comments', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_comment_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_comment_display',
            array(
                'label'      => __('Comment', 'zolog'),
                'description' => __('Hide or display all comment section from posts and pages.', 'zolog'),
                'section'    => 'zolog_comment',
                'settings'   => 'zolog_comment_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_comment_close_message',
            array(
                'transport' => 'refresh',
                'default' => __('Comments are closed for this section.', 'zolog'),
                'capability' => 'edit_theme_options',
                'sanitize_callback' => 'zolog_sanitize_textarea_html'
            )
        );

        $wp_customize->add_control(
            'zolog_comment_close_message',
            array(
                'type' => 'textarea',
                'label' => __('Comment Closed Message', 'zolog'),
                'description' => __('Write close comment message in here to display when comments are closed for post or page. Leave it blank to display none.', 'zolog'),
                'section' => 'zolog_comment',
                'settings' => 'zolog_comment_close_message'
            )
        );
    }

    add_action('customize_register', 'hs_zolog_comment_customizer_register');
}

if (!function_exists('zolog_sanitize_textarea_html')) {
    function zolog_sanitize_textarea_html($input)
    {
        return wp_kses_post($input);
    }
}
