<?php
if (!function_exists('hs_zolog_content_customizer_register')) {
    function hs_zolog_content_customizer_register($wp_customize)
    {
        $wp_customize->add_section(
            'zolog_content',
            array(
                'title' => __('Content Settings', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting('zolog_excerpt_size', array(
            'default' => '50',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_excerpt_size', array(
            'type' => 'input',
            'label' => esc_html__('Excerpt Size (words)', 'zolog'),
            'section' => 'zolog_content',
            'settings' => 'zolog_excerpt_size',
            'choices' => array(
                'columns' => '50'
            )
        )));
    }

    add_action('customize_register', 'hs_zolog_content_customizer_register');
}