<?php
if (!function_exists('hs_zolog_copy_right_customizer_register')) {
    function hs_zolog_copy_right_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_copy_right',
            array(
                'title' => __('Copy Right', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_copy_right_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_copy_right_display',
            array(
                'label'      => __('Copy Right', 'zolog'),
                'description' => __('Hide or display website copy right section.', 'zolog'),
                'section'    => 'zolog_copy_right',
                'settings'   => 'zolog_copy_right_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_copy_right_width',
            array(
                'default'     => 'boxed',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_copy_right_width',
            array(
                'label'      => __('Width', 'zolog'),
                'description' => __('Wide or boxed copy right section of the website.', 'zolog'),
                'section'    => 'zolog_copy_right',
                'settings'   => 'zolog_copy_right_width',
                'choices'    => array(
                    'boxed' => __('Boxed', 'zolog'),
                    'wide' => __('Wide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_copy_right_bg_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_copy_right_bg_color',
            array(
                'label'    => __('Background Color (Available in Pro)', 'zolog'),
                'description'    => __('Change copy right section background color.', 'zolog'),
                'section'  => 'zolog_copy_right',
            )
        ));

        $wp_customize->add_setting('zolog_copy_right_text_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_copy_right_text_color',
            array(
                'label'    => __('Text Color (Available in Pro)', 'zolog'),
                'description'    => __('Change copy right section text color.', 'zolog'),
                'section'  => 'zolog_copy_right',
            )
        ));

        $wp_customize->add_setting('zolog_copy_right_link_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_copy_right_link_color',
            array(
                'label'    => __('Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change copy right section links color.', 'zolog'),
                'section'  => 'zolog_copy_right',
            )
        ));

        $wp_customize->add_setting('zolog_copy_right_link_hover_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_copy_right_link_hover_color',
            array(
                'label'    => __('Hover Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change copy right section links color in mouse hover.', 'zolog'),
                'section'  => 'zolog_copy_right',
            )
        ));

        $wp_customize->add_setting(
            'zolog_copyright_text',
            array(
                'transport' => 'refresh',
                'default' => '© {year} {site_name}',
                'capability' => 'edit_theme_options',
                'sanitize_callback' => 'zolog_sanitize_textarea_html'
            )
        );

        $wp_customize->add_control(
            'zolog_copyright_text',
            array(
                'type' => 'textarea',
                'label' => __('CopyRight Text', 'zolog'),
                'description' => __('Add text and HTML code to display in Copyright section. Add "{site_name}" to display website name, "{description}" to display website description or "{year}" to display current year.', 'zolog'),
                'section' => 'zolog_copy_right',
                'settings' => 'zolog_copyright_text'
            )
        );
    }

    add_action('customize_register', 'hs_zolog_copy_right_customizer_register');
}

if (!function_exists('zolog_sanitize_textarea_html')) {
    function zolog_sanitize_textarea_html($input)
    {
        return wp_kses_post($input);
    }
}
