<?php
if (!function_exists('hs_zolog_footer_customizer_register')) {
    function hs_zolog_footer_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_footer',
            array(
                'title' => __('Footer', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_footer_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_footer_display',
            array(
                'label'      => __('Footer', 'zolog'),
                'description' => __('Hide or display website footer.', 'zolog'),
                'section'    => 'zolog_footer',
                'settings'   => 'zolog_footer_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_footer_width',
            array(
                'default'     => 'boxed',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_footer_width',
            array(
                'label'      => __('Width', 'zolog'),
                'description' => __('Wide or boxed footer of the website.', 'zolog'),
                'section'    => 'zolog_footer',
                'settings'   => 'zolog_footer_width',
                'choices'    => array(
                    'boxed' => __('Boxed', 'zolog'),
                    'wide' => __('Wide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_footer_columns',
            array(
                'default'     => '3',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_footer_columns',
            array(
                'label'      => __('Columns Count', 'zolog'),
                'description' => __('Choose your website column count. All columns will have the same width.', 'zolog'),
                'section'    => 'zolog_footer',
                'settings'   => 'zolog_footer_columns',
                'choices'    => array(
                    '1' => __('1', 'zolog'),
                    '2' => __('2', 'zolog'),
                    '3' => __('3', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_footer_bg_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_footer_bg_color',
            array(
                'label'    => __('Background Color (Available in Pro)', 'zolog'),
                'description'    => __('Change footer background color.', 'zolog'),
                'section'  => 'zolog_footer',
            )
        ));

        $wp_customize->add_setting('zolog_footer_title_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_footer_title_color',
            array(
                'label'    => __('Widget Title Color (Available in Pro)', 'zolog'),
                'description'    => __('Change footer widget title color.', 'zolog'),
                'section'  => 'zolog_footer',
            )
        ));
    }

    add_action('customize_register', 'hs_zolog_footer_customizer_register');
}
