<?php
if (!function_exists('hs_zolog_general_customizer_register')) {
    function hs_zolog_general_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Input_Number_Option');
        get_template_part('/inc/customize/class/About_Theme_Option');
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Text_Control');
  
        $wp_customize->add_section('theme_detail', array(
            'title'    => __('About Zolog', 'zolog'),
            'priority' => 9
        ));

        $wp_customize->add_setting('upgrade_text', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_About_Theme_Option($wp_customize, 'upgrade_text', array(
            'section'     => 'theme_detail',
            'label'       => ''
        )));

        $wp_customize->add_section(
            'zolog_layout',
            array(
                'title' => __('Layout', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_boxed',
            array(
                'default'     => 'boxed',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_boxed',
            array(
                'label'      => __('Layout Mode', 'zolog'),
                'description'      => __('This is an option you can choose to display your website content in full width mode or boxed mode.', 'zolog'),
                'section'    => 'zolog_layout',
                'settings'   => 'zolog_boxed',
                'choices'    => array(
                    'boxed' => __('Boxed', 'zolog'),
                    'wide' => __('Wide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_boxed_size', array(
            'default' => '1200',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_boxed_size', array(
            'type' => 'input',
            'label' => __('Boxed Size (px)', 'zolog'),
            'description'      => __('If you choose boxed mode in Layout Mode, you can change the width of the boxed mode in here. Default value is 1200px.', 'zolog'),
            'section' => 'zolog_layout',
            'settings' => 'zolog_boxed_size',
            'choices' => array(
                'columns' => '1200'
            )
        )));

        $wp_customize->add_setting(
            'zolog_to_top',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_to_top',
            array(
                'label'      => __('Display Back To Top Button', 'zolog'),
                'description'      => __('Back to top button is a little button in bottom of the website page. If client clicks it, he will go to top of the page smoothly. Choose to display or hide the button in here.', 'zolog'),
                'section'    => 'zolog_layout',
                'settings'   => 'zolog_to_top',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_loading_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_loading_display',
            array(
                'label'      => __('Loading Page (Available in Pro)', 'zolog'),
                'description'      => __('If page is loading, the client will see the Loading Page with a little spinner. Hide or display the page with this option.', 'zolog'),
                'section'    => 'zolog_layout',
                'settings'   => 'zolog_loading_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_loading_gif', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_loading_gif',
            array(
                'label'    => __('Loading Page Animation (Available in Pro)', 'zolog'),
                'description'    => __('Salect an animation instead of the default spinner. It is better to be a <strong>.gif</strong> file. Leave it blank to use default animation.', 'zolog'),
                'section'  => 'zolog_layout',
            )
        ));

        $wp_customize->add_setting(
            'zolog_theme_color',
            array('default' => '#c3a366', 'sanitize_callback' => 'sanitize_hex_color')
        );

        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'zolog_theme_color', array(
            'label' => __('Theme Color', 'zolog'),
            'description'    => __('Change Theme color to customize your website as you wanted.', 'zolog'),
            'section' => 'colors',
            'settings' => 'zolog_theme_color',
        )));

        $wp_customize->add_setting(
            'zolog_header_color',
            array('default' => '#333333', 'sanitize_callback' => 'sanitize_hex_color')
        );

        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'zolog_header_color', array(
            'label' => __('h1 - h6 Color', 'zolog'),
            'description'    => __('Change heading (h1-h6) color', 'zolog'),
            'section' => 'colors',
            'settings' => 'zolog_header_color',
        )));

        $wp_customize->add_setting(
            'zolog_text_color',
            array('default' => '#666666', 'sanitize_callback' => 'sanitize_hex_color')
        );

        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'zolog_text_color', array(
            'label' => __('Text Color', 'zolog'),
            'description'    => __('Change text (posts and pages content) color', 'zolog'),
            'section' => 'colors',
            'settings' => 'zolog_text_color',
        )));

        $wp_customize->add_setting(
            'zolog_accent_color',
            array('default' => '#eee', 'sanitize_callback' => 'sanitize_hex_color')
        );

        $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'zolog_accent_color', array(
            'label' => __('Accent Color', 'zolog'),
            'description'    => __('This color will be used in some borders and lines between the items like comment message txtarea border.', 'zolog'),
            'section' => 'colors',
            'settings' => 'zolog_accent_color',
        )));
    }

    add_action('customize_register', 'hs_zolog_general_customizer_register');
}

if (!function_exists('hs_zolog_customizer_css')) {
    function hs_zolog_customizer_css()
    {
?>
        <style type="text/css">
            :root {
                --hs-theme-color: <?php echo esc_attr(get_theme_mod('zolog_theme_color', '#c3a366')); ?>;
                --hs-header-color: <?php echo esc_attr(get_theme_mod('zolog_header_color', '#333')); ?>;
                --hs-header-color-opacity: <?php
                                            $rgb = hs_zolog_hex_to_rgb(get_theme_mod('zolog_header_color', '#333333'));
                                            echo esc_attr('rgba(' . $rgb[0] . ',' . $rgb[1] . ',' . $rgb[2] . ',0.75)');
                                            ?>;
                --hs-text-color: <?php echo esc_attr(get_theme_mod('zolog_text_color', '#666')); ?>;
                --hs-background-color: #<?php echo esc_attr(get_background_color()); ?>;
                --hs-background-color-opacity: <?php
                                                $rgb = hs_zolog_hex_to_rgb("#" . get_background_color());
                                                echo esc_attr('rgba(' . $rgb[0] . ',' . $rgb[1] . ',' . $rgb[2] . ',0.75)');
                                                ?>;
                --hs-background-accent: <?php echo esc_attr(get_theme_mod('zolog_accent_color', '#ff0000')); ?>;
            }

            .zolog-boxed {
                width: <?php echo esc_attr(get_theme_mod('zolog_boxed_size', '1200')); ?>px;
                max-width: <?php echo esc_attr(get_theme_mod('zolog_boxed_size', '1200')); ?>px;
            }

            html,
            body {
                background: #<?php echo esc_attr(get_background_color()); ?>;
            }

            .zolog-content .entry-content table tr:nth-child(2n+2) {
                background-color: <?php
                                    $rgb = hs_zolog_hex_to_rgb(get_theme_mod('zolog_theme_color', '#c3a366'));
                                    echo esc_attr('rgba(' . $rgb[0] . ',' . $rgb[1] . ',' . $rgb[2] . ',0.2)');
                                    ?>;
            }
        </style>
<?php
    }

    add_action('wp_head', 'hs_zolog_customizer_css');
}

if (!function_exists('ic_sanitize_image')) {
    function ic_sanitize_image($file, $setting)
    {

        $mimes = array(
            'jpg|jpeg|jpe' => 'image/jpeg',
            'gif'          => 'image/gif',
            'png'          => 'image/png',
            'bmp'          => 'image/bmp',
            'tif|tiff'     => 'image/tiff',
            'ico'          => 'image/x-icon'
        );

        //check file type from file name
        $file_ext = wp_check_filetype($file, $mimes);

        //if file has a valid mime type return it, otherwise return default
        return ($file_ext['ext'] ? $file : $setting->default);
    }
}
