<?php
if (!function_exists('hs_zolog_header_customizer_register')) {
    function hs_zolog_header_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');

        $wp_customize->add_section(
            'zolog_header',
            array(
                'title' => __('Header', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_header_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_header_display',
            array(
                'label'      => __('Header', 'zolog'),
                'description'    => __('Hide or display the header section (main menu section and website logo).', 'zolog'),
                'section'    => 'zolog_header',
                'settings'   => 'zolog_header_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_header_theme', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_theme',
            array(
                'label'    => __('Menu Theme (Available in Pro)', 'zolog'),
                'description'    => __('In Pro version you will have multiple themes for your Main Menu.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));

        $wp_customize->add_setting('zolog_header_bg_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_bg_color',
            array(
                'label'    => __('Background Color (Available in Pro)', 'zolog'),
                'description'    => __('Change header section background color.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));

        $wp_customize->add_setting('zolog_header_text_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_text_color',
            array(
                'label'    => __('Text Color (Available in Pro)', 'zolog'),
                'description'    => __('Change header section text color.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));

        $wp_customize->add_setting('zolog_header_link_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_link_color',
            array(
                'label'    => __('Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change header section links color.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));

        $wp_customize->add_setting('zolog_header_link_hover_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_link_hover_color',
            array(
                'label'    => __('Hover Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change header section links color in mouse hover.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));

        $wp_customize->add_setting('zolog_header_site_name_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_header_site_name_color',
            array(
                'label'    => __('Website Title Color (Available in Pro)', 'zolog'),
                'description'    => __('Change website name color in header section.', 'zolog'),
                'section'  => 'zolog_header',
            )
        ));
    }
    add_action('customize_register', 'hs_zolog_header_customizer_register');
}
