<?php
if (!function_exists('hs_zolog_page_customizer_register')) {
    function hs_zolog_page_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');

        $wp_customize->add_section(
            'zolog_page',
            array(
                'title' => __('Page', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_page_thumbnail_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_thumbnail_display',
            array(
                'label'      => __('Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Hide or display all pages thumbnail in page not in list or even posts.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_thumbnail_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_page_thumbnail_boxed',
            array(
                'default'     => 'wide',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_thumbnail_boxed',
            array(
                'label'      => __('Thumbnail Width', 'zolog'),
                'description' => __('Display wide or boxed all pages thumbnail.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_thumbnail_boxed',
                'choices'    => array(
                    'wide' => __('Wide', 'zolog'),
                    'boxed' => __('Boxed', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_page_thumbnail_width_mode',
            array(
                'default'     => 'custom',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_thumbnail_width_mode',
            array(
                'label'      => __('Thumbnail Size', 'zolog'),
                'description' => __('In custom option, all thumbnails will be displayed in the chosen width and height. Use <a rel="nofollow noreferrer" target="_blank" href="https://wordpress.org/plugins/regenerate-thumbnails/">Regenerate Thumbnails</a> plugin after changing the options.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_thumbnail_width_mode',
                'disabled'  => true,
                'choices'    => array(
                    'custom' => __('Custom (Available in Pro)', 'zolog'),
                    'full' => __('Full Size', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_page_thumbnail_width', array(
            'default' => '1200',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_page_thumbnail_width', array(
            'type' => 'input',
            'label' => __('Thumbnail Width (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_page',
            'settings' => 'zolog_page_thumbnail_width',
            'disabled'  => true,
            'choices' => array(
                'columns' => '1200'
            )
        )));

        $wp_customize->add_setting('zolog_page_thumbnail_height', array(
            'default' => '800',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_page_thumbnail_height', array(
            'type' => 'input',
            'label' => __('Thumbnail Height (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_page',
            'settings' => 'zolog_page_thumbnail_height',
            'disabled'  => true,
            'choices' => array(
                'columns' => '800'
            )
        )));

        $wp_customize->add_setting(
            'zolog_page_thumbnail_crop',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_thumbnail_crop',
            array(
                'label'      => __('Crop Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Thumbnails will be cropped by WordPress.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_thumbnail_crop',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Yes', 'zolog'),
                    'no' => __('No', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_page_meta_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_meta_display',
            array(
                'label'      => __('Meta (Available in Pro)', 'zolog'),
                'description' => __('Hide or display meta (author name and comments number) of the page.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_meta_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_page_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_page_display',
            array(
                'label'      => __('Share Buttons in page', 'zolog'),
                'description' => __('Hide or display share buttons only in page not others places like archive or blog.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_share_bottuns_page_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_page_place',
            array(
                'default'     => 'after',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_page_place',
            array(
                'label'      => __('Share Buttons Display Place (Available in Pro)', 'zolog'),
                'description' => __('Choose where to display.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_share_bottuns_page_place',
                'disabled'  => true,
                'choices'    => array(
                    'after' => __('After Content', 'zolog'),
                    'before' => __('Before Content', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_page_navigation_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_navigation_display',
            array(
                'label'      => __('Navigation (Available in Pro)', 'zolog'),
                'description' => __('Hide or display navigation section of the post.', 'zolog'),
                'section'    => 'zolog_page',
                'settings'   => 'zolog_page_navigation_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_page_navigation_prev_title', array(
            'default' => 'Previous Article',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_page_navigation_prev_title', array(
            'type' => 'text',
            'label' => __('Previous Page Title', 'zolog'),
            'description' => __('Previous Page Title in navigation. Leave blank if you want to hide.', 'zolog'),
            'section' => 'zolog_page',
            'settings' => 'zolog_page_navigation_prev_title'
        )));

        $wp_customize->add_setting('zolog_page_navigation_next_title', array(
            'default' => 'Next Article',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_page_navigation_next_title', array(
            'type' => 'text',
            'label' => __('Next Page Title', 'zolog'),
            'description' => __('Next Page Title in navigation. Leave blank if you want to hide.', 'zolog'),
            'section' => 'zolog_page',
            'settings' => 'zolog_page_navigation_next_title'
        )));
    }
    add_action('customize_register', 'hs_zolog_page_customizer_register');
}

if (!function_exists('hs_zolog_page_customizer_css')) {
    function hs_zolog_page_customizer_css()
    {
?>
        <style type="text/css">
            <?php if (get_theme_mod('zolog_page_thumbnail_crop', 'yes') == 'no') : ?>.page .post-thumbnail {
                text-align: center !important;
                height: inherit;
            }

            <?php endif; ?>
        </style>
<?php
    }

    add_action('wp_head', 'hs_zolog_page_customizer_css');
}
