<?php
if (!function_exists('hs_zolog_share_customizer_register')) {
    function hs_zolog_share_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');

        $wp_customize->add_section(
            'zolog_share',
            array(
                'title' => __('Share Buttons', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_fontawesome_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_fontawesome_display',
            array(
                'label'      => __('Font Awesome', 'zolog'),
                'description' => __('To use share buttons you should load Font Awesome', 'zolog'),
                'section'    => 'zolog_share',
                'settings'   => 'zolog_fontawesome_display',
                'choices'    => array(
                    'yes' => __('Load', 'zolog'),
                    'no' => __('Unload', 'zolog')
                ),
            )
        ));

        $share_buttons = array(
            'facebook' => __('Facebook', 'zolog'),
            'twitter' => __('Twitter', 'zolog'),
            'gplus' => __('Google+', 'zolog'),
            'pinterest' => __('Pinterest', 'zolog'),
            'linkedin' => __('Linkedin', 'zolog'),
            'vk' => __('VK', 'zolog'),
            'tumblr' => __('Tumblr', 'zolog'),
            'reddit' => __('Reddit', 'zolog'),
            'pocket' => __('Pocket', 'zolog'),
            'whatsapp' => __('Whatsapp', 'zolog'),
            'telegram' => __('Telegram', 'zolog'),
            'mail' => __('Mail', 'zolog')
        );

        $default_share_buttons = array('facebook', 'twitter', 'pinterest', 'linkedin');

        foreach ($share_buttons as $network => $social) {
            $wp_customize->add_setting(
                'zolog_' . $network . '_display',
                array(
                    'default'     => in_array($network, $default_share_buttons) ? 'yes' : 'no',
                    'sanitize_callback' => 'esc_attr',
                    'transport' => 'refresh',
                )
            );

            $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
                $wp_customize,
                'zolog_' . $network . '_display',
                array(
                    'label'      => esc_html($social),
                    'section'    => 'zolog_share',
                    'settings'   => 'zolog_' . $network . '_display',
                    'choices'    => array(
                        'yes' => __('Show', 'zolog'),
                        'no' => __('Hide', 'zolog')
                    ),
                )
            ));
        }
    }
    add_action('customize_register', 'hs_zolog_share_customizer_register');
}
