<?php
if (!function_exists('hs_zolog_sidebar_customizer_register')) {
    function hs_zolog_sidebar_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_sidebar',
            array(
                'title' => __('Sidebar', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_right_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_right_sidebar_display',
            array(
                'label'      => __('Default Right Sidebar', 'zolog'),
                'description' => __('Hide or display right sidebar of the blog, archive and search page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_right_sidebar_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_right_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_right_sidebar_width', array(
            'type' => 'input',
            'label' => __('Default Right Sidebar Width (%)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_right_sidebar_width',
            'choices' => array(
                'width' => '30'
            )
        )));

        $wp_customize->add_setting(
            'zolog_left_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_left_sidebar_display',
            array(
                'label'      => __('Default Left Sidebar', 'zolog'),
                'description' => __('Hide or display left sidebar of the blog, archive and search page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_left_sidebar_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_left_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_left_sidebar_width', array(
            'type' => 'input',
            'label' => __('Default Left Sidebar Width (%)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_left_sidebar_width',
            'choices' => array(
                'width' => '30'
            )
        )));

        /****** post */
        $wp_customize->add_setting(
            'zolog_post_right_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_post_right_sidebar_display',
            array(
                'label'      => __('Post Right Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display right sidebar of the post.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_post_right_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_post_right_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_post_right_sidebar_width', array(
            'type' => 'input',
            'label' => __('Post Right Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_post_right_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));

        $wp_customize->add_setting(
            'zolog_post_left_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_post_left_sidebar_display',
            array(
                'label'      => __('Post Left Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display left sidebar of the post.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_post_left_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_post_left_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_post_left_sidebar_width', array(
            'type' => 'input',
            'label' => __('Post Left Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_post_left_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));

        /****** page */
        $wp_customize->add_setting(
            'zolog_page_right_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_right_sidebar_display',
            array(
                'label'      => __('Page Right Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display right sidebar of the page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_page_right_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_page_right_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_page_right_sidebar_width', array(
            'type' => 'input',
            'label' => __('Page Right Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_page_right_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));

        $wp_customize->add_setting(
            'zolog_page_left_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_page_left_sidebar_display',
            array(
                'label'      => __('Page Left Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display left sidebar of the page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_page_left_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_page_left_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_page_left_sidebar_width', array(
            'type' => 'input',
            'label' => __('Page Left Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_page_left_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));

        /****** 404 */
        $wp_customize->add_setting(
            'zolog_404_right_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_404_right_sidebar_display',
            array(
                'label'      => __('404 Right Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display right sidebar of the 404 error page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_404_right_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_404_right_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_404_right_sidebar_width', array(
            'type' => 'input',
            'label' => __('404 Right Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_404_right_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));

        $wp_customize->add_setting(
            'zolog_404_left_sidebar_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_404_left_sidebar_display',
            array(
                'label'      => __('404 Left Sidebar (Available in Pro)', 'zolog'),
                'description' => __('Hide or display left sidebar of the 404 error page.', 'zolog'),
                'section'    => 'zolog_sidebar',
                'settings'   => 'zolog_404_left_sidebar_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_404_left_sidebar_width', array(
            'default' => '30',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_404_left_sidebar_width', array(
            'type' => 'input',
            'label' => __('404 Left Sidebar Width (%) (Available in Pro)', 'zolog'),
            'section' => 'zolog_sidebar',
            'settings' => 'zolog_404_left_sidebar_width',
            'disabled'  => true,
            'choices' => array(
                'width' => '30'
            )
        )));
    }

    add_action('customize_register', 'hs_zolog_sidebar_customizer_register');
}

if (!function_exists('hs_zolog_sidebar_customizer_css')) {
    function hs_zolog_sidebar_customizer_css()
    {
        $default_right_sidebar_width = (esc_attr(get_theme_mod('zolog_right_sidebar_display', 'yes') == 'yes') && is_active_sidebar('right_sidebar')) ? esc_attr(get_theme_mod('zolog_right_sidebar_width', '30')) : 0;
        $default_left_sidebar_width = (esc_attr(get_theme_mod('zolog_left_sidebar_display', 'yes') == 'yes') && is_active_sidebar('left_sidebar')) ? esc_attr(get_theme_mod('zolog_left_sidebar_width', '30')) : 0;
?>
        <style type="text/css">
            .default-sidebar.sidebar-right,
            .search .sidebar-right,
            .archive .sidebar-right {
                width: <?php echo esc_html($default_right_sidebar_width); ?>%;
            }

            .default-sidebar.sidebar-left,
            .search .sidebar-left,
            .archive .sidebar-left {
                width: <?php echo esc_html($default_left_sidebar_width); ?>%;
            }

            .blog .zolog-entries,
            .search .zolog-entries,
            .archive .zolog-entries,
            .single .post,
            .page .post,
            .error404 .page {
                width: <?php echo esc_html(100 - ($default_left_sidebar_width + $default_right_sidebar_width)); ?>%;
            }

            @media (max-width: 767px) {

                .zolog-entries,
                .zolog-entry .post,
                .zolog-entry .page,
                .zolog-products,
                .sidebar-right,
                .sidebar-left {
                    width: 100% !important;
                }
            }

            @media (min-width: 768px) and (max-width: 991px) {

                .zolog-entries,
                .zolog-entry .post,
                .zolog-entry .page,
                .zolog-products {
                    width: 100%;
                }
            }
        </style>
<?php
    }

    add_action('wp_head', 'hs_zolog_sidebar_customizer_css');
}
