<?php
if (!function_exists('hs_zolog_single_customizer_register')) {
    function hs_zolog_single_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');

        $wp_customize->add_section(
            'zolog_single',
            array(
                'title' => __('Post', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_single_thumbnail_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_thumbnail_display',
            array(
                'label'      => __('Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Hide or display all posts thumbnail in single post not in list.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_thumbnail_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_thumbnail_boxed',
            array(
                'default'     => 'wide',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_thumbnail_boxed',
            array(
                'label'      => __('Thumbnail Width', 'zolog'),
                'description' => __('Display wide or boxed all posts thumbnail.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_thumbnail_boxed',
                'choices'    => array(
                    'wide' => __('Wide', 'zolog'),
                    'boxed' => __('Boxed', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_thumbnail_width_mode',
            array(
                'default'     => 'custom',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_thumbnail_width_mode',
            array(
                'label'      => __('Thumbnail Size', 'zolog'),
                'description' => __('In custom option, all thumbnails will be displayed in the chosen width and height. Use <a rel="nofollow noreferrer" target="_blank" href="https://wordpress.org/plugins/regenerate-thumbnails/">Regenerate Thumbnails</a> plugin after changing the options.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_thumbnail_width_mode',
                'disabled'  => true,
                'choices'    => array(
                    'custom' => __('Custom (Available in Pro)', 'zolog'),
                    'full' => __('Full Size', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_single_thumbnail_width', array(
            'default' => '1200',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_single_thumbnail_width', array(
            'type' => 'input',
            'label' => __('Thumbnail Width (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_single',
            'settings' => 'zolog_single_thumbnail_width',
            'disabled'  => true,
            'choices' => array(
                'columns' => '1200'
            )
        )));

        $wp_customize->add_setting('zolog_single_thumbnail_height', array(
            'default' => '800',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_single_thumbnail_height', array(
            'type' => 'input',
            'label' => __('Thumbnail Height (px) (Available in Pro)', 'zolog'),
            'section' => 'zolog_single',
            'settings' => 'zolog_single_thumbnail_height',
            'disabled'  => true,
            'choices' => array(
                'columns' => '800'
            )
        )));

        $wp_customize->add_setting(
            'zolog_single_crop_thumbnail',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_crop_thumbnail',
            array(
                'label'      => __('Crop Thumbnail (Available in Pro)', 'zolog'),
                'description' => __('Thumbnails will be cropped by WordPress.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_crop_thumbnail',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Yes', 'zolog'),
                    'no' => __('No', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_category_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_category_display',
            array(
                'label'      => __('Category (Available in Pro)', 'zolog'),
                'description' => __('Hide or display categories name of the post.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_category_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_meta_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_meta_display',
            array(
                'label'      => __('Meta (Available in Pro)', 'zolog'),
                'description' => __('Hide or display meta (author name and comments number) of the post.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_meta_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_post_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_post_display',
            array(
                'label'      => __('Share Buttons in Post', 'zolog'),
                'description' => __('Hide or display share buttons only in post not others places like archive or blog.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_share_bottuns_post_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_share_bottuns_post_place',
            array(
                'default'     => 'after',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_share_bottuns_post_place',
            array(
                'label'      => __('Share Buttons Display Place (Available in Pro)', 'zolog'),
                'description' => __('Choose where to display.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_share_bottuns_post_place',
                'disabled'  => true,
                'choices'    => array(
                    'after' => __('After Content', 'zolog'),
                    'before' => __('Before Content', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_tag_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_tag_display',
            array(
                'label'      => __('Tags (Available in Pro)', 'zolog'),
                'description' => __('Hide or display tags of the post.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_tag_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_single_tag_title', array(
            'default' => 'tags:',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_single_tag_title', array(
            'type' => 'text',
            'label' => __('Tag Title', 'zolog'),
            'description' => __('Write tag title. Default is "Tags:". Leave blank if you want to hide.', 'zolog'),
            'section' => 'zolog_single',
            'settings' => 'zolog_single_tag_title'
        )));

        $wp_customize->add_setting(
            'zolog_single_navigation_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_navigation_display',
            array(
                'label'      => __('Navigation (Available in Pro)', 'zolog'),
                'description' => __('Hide or display navigation section of the post.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_navigation_display',
                'disabled'  => true,
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_single_navigation_prev_title', array(
            'default' => 'Previous Article',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_single_navigation_prev_title', array(
            'type' => 'text',
            'label' => __('Previous Post Title', 'zolog'),
            'description' => __('Previous Post Title in navigation. Leave blank if you want to hide.', 'zolog'),
            'section' => 'zolog_single',
            'settings' => 'zolog_single_navigation_prev_title'
        )));

        $wp_customize->add_setting('zolog_single_navigation_next_title', array(
            'default' => 'Next Article',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_single_navigation_next_title', array(
            'type' => 'text',
            'label' => __('Next Post Title', 'zolog'),
            'description' => __('Next Post Title in navigation. Leave blank if you want to hide.', 'zolog'),
            'section' => 'zolog_single',
            'settings' => 'zolog_single_navigation_next_title'
        )));

        $wp_customize->add_setting(
            'zolog_single_author_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_author_display',
            array(
                'label'      => __('Author', 'zolog'),
                'description' => __('Hide or display author section of the post.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_author_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting(
            'zolog_single_related_posts_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_single_related_posts_display',
            array(
                'label'      => __('Related Posts', 'zolog'),
                'description' => __('Hide or display related posts section.', 'zolog'),
                'section'    => 'zolog_single',
                'settings'   => 'zolog_single_related_posts_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));
    }
    add_action('customize_register', 'hs_zolog_single_customizer_register');
}
