<?php
if (!function_exists('hs_zolog_top_header_customizer_register')) {
    function hs_zolog_top_header_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Text_Radio_Button');

        $wp_customize->add_section(
            'zolog_top_header',
            array(
                'title' => __('Top Header', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting(
            'zolog_top_display',
            array(
                'default'     => 'yes',
                'sanitize_callback' => 'esc_attr',
                'transport' => 'refresh',
            )
        );

        $wp_customize->add_control(new hs_zolog_Text_Radio_Button_Custom_Control(
            $wp_customize,
            'zolog_top_display',
            array(
                'label'      => __('Top Header', 'zolog'),
                'description'    => __('hide or display the top section of the header.', 'zolog'),
                'section'    => 'zolog_top_header',
                'settings'   => 'zolog_top_display',
                'choices'    => array(
                    'yes' => __('Show', 'zolog'),
                    'no' => __('Hide', 'zolog')
                ),
            )
        ));

        $wp_customize->add_setting('zolog_top_bg_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_top_bg_color',
            array(
                'label'    => __('Background Color (Available in Pro)', 'zolog'),
                'description'    => __('Change top header section background color.', 'zolog'),
                'section'  => 'zolog_top_header',
            )
        ));

        $wp_customize->add_setting('zolog_top_text_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_top_text_color',
            array(
                'label'    => __('Text Color (Available in Pro)', 'zolog'),
                'description'    => __('Change top header section text color (not links).', 'zolog'),
                'section'  => 'zolog_top_header',
            )
        ));

        $wp_customize->add_setting('zolog_top_link_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_top_link_color',
            array(
                'label'    => __('Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change top header section links color.', 'zolog'),
                'section'  => 'zolog_top_header',
            )
        ));

        $wp_customize->add_setting('zolog_top_link_hover_color', array(
            'default' => '',
            'sanitize_callback' => '__return_false'
        ));

        $wp_customize->add_control(new hs_Zolog_Text_Control(
            $wp_customize,
            'zolog_top_link_hover_color',
            array(
                'label'    => __('Hover Link Color (Available in Pro)', 'zolog'),
                'description'    => __('Change top header section links color in mouse hover.', 'zolog'),
                'section'  => 'zolog_top_header',
            )
        ));
    }
    add_action('customize_register', 'hs_zolog_top_header_customizer_register');
}
