<?php
if (!function_exists('hs_zolog_typography_customizer_register')) {
    function hs_zolog_typography_customizer_register($wp_customize)
    {
        get_template_part('/inc/customize/class/Input_Number_Option');

        $wp_customize->add_section(
            'zolog_typography',
            array(
                'title' => __('Typography', 'zolog'),
                'capability' => 'edit_theme_options',
                'panel' => 'zolog_settings_pannel'
            )
        );

        $wp_customize->add_setting('zolog_google_font_url', array(
            'default' => '',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_google_font_url', array(
            'type' => 'text',
            'label' => __('Google Font URL', 'zolog'),
            'description' => sprintf(
                '%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s The url will be like "https://fonts.googleapis.com/css2?family=Lato&display=swap". Copy url from google and past it in here.',
                __('Insert', 'zolog'),
                esc_url('https://www.google.com/fonts'),
                __('Google Font URL', 'zolog'),
                __('for embed fonts.', 'zolog')
            ),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_url'
        )));

        $wp_customize->add_setting('zolog_google_font_family', array(
            'default' => 'Lato, sans-serif',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_google_font_family', array(
            'type' => 'text',
            'label' => __('Font Family', 'zolog'),
            'description' => __('Insert Google font family. The font family should be like <strong>Lato, sans-serif</strong> without \' or ".', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_family'
        )));

        $wp_customize->add_setting('zolog_google_font_size', array(
            'default' => '14',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_google_font_size', array(
            'type' => 'input',
            'label' => __('Font Size', 'zolog'),
            'description' => __('Change font size of the content text to increase better user experience.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_size',
            'choices' => array(
                'columns' => '14'
            )
        )));

        $wp_customize->add_setting('zolog_google_font_line_height', array(
            'default' => '1.2',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_google_font_line_height', array(
            'type' => 'input',
            'label' => __('Line Height', 'zolog'),
            'description' => __('Change line height of the content text to increase better user experience.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_line_height',
            'choices' => array(
                'columns' => '4'
            )
        )));

        $wp_customize->add_setting('zolog_google_font_letter_space', array(
            'default' => '0',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_google_font_letter_space', array(
            'type' => 'input',
            'label' => __('Text Letter Space', 'zolog'),
            'description' => __('Change letter space of the content text to increase better user experience.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_letter_space',
            'choices' => array(
                'columns' => '0'
            )
        )));

        $wp_customize->add_setting('zolog_google_font_header_url', array(
            'default' => '',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_google_font_header_url', array(
            'type' => 'text',
            'label' => __('Google Font Header URL', 'zolog'),
            'description' => sprintf(
                '%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s The url will be like "https://fonts.googleapis.com/css2?family=Courgette&display=swap". Copy url from google and past it in here.',
                __('Insert', 'zolog'),
                esc_url('https://www.google.com/fonts'),
                __('Google Font URL', 'zolog'),
                __('for header (content titles) fonts.', 'zolog')
            ),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_header_url'
        )));

        $wp_customize->add_setting('zolog_google_font_header_family', array(
            'default' => 'Courgette, cursive',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'zolog_google_font_header_family', array(
            'type' => 'text',
            'label' => __('Font Family', 'zolog'),
            'description' => __('Insert Google font family for headers. The font family should be like <strong>Courgette, cursive</strong> without \' or ".', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_header_family'
        )));

        $wp_customize->add_setting('zolog_google_font_header_line_height', array(
            'default' => '1.2',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_google_font_header_line_height', array(
            'type' => 'input',
            'label' => __('Header Line Height', 'zolog'),
            'description' => __('Change line height of the content headings to increase better user experience.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_header_line_height',
            'choices' => array(
                'columns' => '4'
            )
        )));

        $wp_customize->add_setting('zolog_google_font_header_letter_space', array(
            'default' => '0',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_google_font_header_letter_space', array(
            'type' => 'input',
            'label' => __('Header Letter Space', 'zolog'),
            'description' => __('Change letter space of the content headings to increase better user experience.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_google_font_header_letter_space',
            'choices' => array(
                'columns' => '0'
            )
        )));

        $wp_customize->add_setting('zolog_h1_font_size', array(
            'default' => '36',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h1_font_size', array(
            'type' => 'input',
            'label' => __('H1 Font Size (px)', 'zolog'),
            'description' => __('Change H1 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h1_font_size',
            'choices' => array(
                'columns' => '36'
            )
        )));

        $wp_customize->add_setting('zolog_h2_font_size', array(
            'default' => '32',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h2_font_size', array(
            'type' => 'input',
            'label' => __('H2 Font Size (px)', 'zolog'),
            'description' => __('Change H2 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h2_font_size',
            'choices' => array(
                'columns' => '32'
            )
        )));

        $wp_customize->add_setting('zolog_h3_font_size', array(
            'default' => '28',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h3_font_size', array(
            'type' => 'input',
            'label' => __('H3 Font Size (px)', 'zolog'),
            'description' => __('Change H3 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h3_font_size',
            'choices' => array(
                'columns' => '28'
            )
        )));

        $wp_customize->add_setting('zolog_h4_font_size', array(
            'default' => '25',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h4_font_size', array(
            'type' => 'input',
            'label' => __('H4 Font Size (px)', 'zolog'),
            'description' => __('Change H4 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h4_font_size',
            'choices' => array(
                'columns' => '25'
            )
        )));

        $wp_customize->add_setting('zolog_h5_font_size', array(
            'default' => '21',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h5_font_size', array(
            'type' => 'input',
            'label' => __('H5 Font Size (px)', 'zolog'),
            'description' => __('Change H5 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h5_font_size',
            'choices' => array(
                'columns' => '21'
            )
        )));

        $wp_customize->add_setting('zolog_h6_font_size', array(
            'default' => '17',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr'
        ));

        $wp_customize->add_control(new hs_Zolog_Input_Number_Option($wp_customize, 'zolog_h6_font_size', array(
            'type' => 'input',
            'label' => __('H6 Font Size (px)', 'zolog'),
            'description' => __('Change H6 font size of the content.', 'zolog'),
            'section' => 'zolog_typography',
            'settings' => 'zolog_h6_font_size',
            'choices' => array(
                'columns' => '17'
            )
        )));
    }

    add_action('customize_register', 'hs_zolog_typography_customizer_register');
}

if (!function_exists('hs_zolog_typography_customizer_css')) {
    function hs_zolog_typography_customizer_css()
    {
        $text_font_family=get_theme_mod('zolog_google_font_family', 'Lato, sans-serif');
        if(empty($text_font_family)){
            $text_font_family='Lato, sans-serif';
        }
        $header_font_family=get_theme_mod('zolog_google_font_header_family', 'Courgette, cursive');
        if(empty($header_font_family)){
            $header_font_family='Courgette, cursive';
        }
?>
        <style type="text/css">
            
            :root {
                --hs-text-font-family: <?php echo esc_attr($text_font_family); ?>;
                --hs-text-font-size: <?php echo esc_attr(get_theme_mod('zolog_google_font_size', '14')); ?>px;
                --hs-text-line-height: <?php echo esc_attr(get_theme_mod('zolog_google_font_line_height', '1.2')); ?>;
                --hs-text-letter-space: <?php echo esc_attr(get_theme_mod('zolog_google_font_letter_space', '0')); ?>em;
                --hs-header-font-family: <?php echo esc_attr($header_font_family); ?>;
                --hs-header-line-height: <?php echo esc_attr(get_theme_mod('zolog_google_font_header_line_height', '1.2')); ?>;
                --hs-header-letter-space: <?php echo esc_attr(get_theme_mod('zolog_google_font_header_letter_space', '0')); ?>em;
            }

            .entry-content h1{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h1_font_size', '36')); ?>px;
            }

            .entry-content h2{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h2_font_size', '32')); ?>px;
            }

            .entry-content h3{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h3_font_size', '28')); ?>px;
            }

            .entry-content h4{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h4_font_size', '25')); ?>px;
            }

            .entry-content h5{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h5_font_size', '21')); ?>px;
            }

            .entry-content h6{
                font-size: <?php echo esc_attr(get_theme_mod('zolog_h6_font_size', '17')); ?>px;
            }
        </style>
<?php
    }

    add_action('wp_head', 'hs_zolog_typography_customizer_css');
}
