<?php if (get_theme_mod('zolog_slider_display', 'yes') == 'yes') : ?>
    <div id="zolog-home-slider" class="zolog-home-slider <?php echo esc_attr(get_theme_mod('zolog_slider_width', 'wide')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
        <?php
        $items_count = intval(get_theme_mod('zolog_slider_sidplay_count', 3));

        $post_args = array();

        switch (get_theme_mod('zolog_slider_mode', 'latest_posts')) {
            case 'latest_posts':
                $post_args = array(
                    'post_type' => 'post',
                    'posts_per_page' => $items_count,
                    'post_status'    => 'publish',
                );
                break;
            case 'category':
                $post_args = array(
                    'cat' => get_theme_mod('zolog_slider_category', ''),
                    'posts_per_page' => $items_count,
                    'post_status'    => 'publish',
                );
                break;
            case 'tag':
                $post_args = array(
                    'tag_id' => get_theme_mod('zolog_slider_tag', ''),
                    'posts_per_page' => $items_count,
                    'post_status'    => 'publish',
                );
                break;
        }

        $query = new WP_Query($post_args); ?>
        <div class="zolog-slider">
            <?php
            while ($query->have_posts()) :
                $query->the_post();
                $categories = get_the_category();

            ?>
                <div>
                    <article id="banner-post-<?php the_ID(); ?>" class="entry">
                        <?php if (has_post_thumbnail()) : ?>
                            <div class="entry-thumbnail">
                                <?php the_post_thumbnail('post-thumbnail', array('alt' => the_title_attribute('echo=0'), 'class' => '')); ?>
                            </div>
                        <?php endif; ?>

                        <div class="entry-header">
                            <div class="entry-meta">
                                <div class="entry-category">
                                    <?php if (!empty($categories[0]->cat_name)) : ?>
                                        <a href="<?php echo esc_url(get_category_link($categories[0]->term_id)); ?>"><?php echo esc_html($categories[0]->cat_name); ?></a>
                                    <?php endif; ?>
                                </div>
                                <?php the_title(sprintf('<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                                <div class="entry-author">
                                    <span class="byline"><?php esc_html_e("By: ", 'zolog') ?><span><?php the_author(); ?></span></span>
                                    <?php
                                    $time_string = '<span class="published-date">' . esc_html__("On: ", 'zolog') . '<span class="date"><time class="entry-date published updated" datetime="%1$s">%2$s <span class="month">%3$s</span> %4$s</time></span></span>';
                                    $time_string = sprintf(
                                        $time_string,
                                        esc_attr(get_the_date(DATE_W3C)),
                                        esc_html(get_the_date("j")),
                                        esc_html(get_the_date("F")),
                                        esc_html(get_the_date("Y"))
                                    );
                                    echo wp_kses_post($time_string);
                                    ?>
                                </div>
                                <div class="entry-read-more">
                                    <a href="<?php echo esc_url(get_permalink()) ?>" rel="bookmark" class="btn"><?php echo esc_html(get_theme_mod('zolog_slider_meta_read_more_text', __('Read More', 'zolog'))) ?></a>
                                </div>
                            </div>
                        </div>

                    </article>
                </div>
            <?php
            endwhile; ?>
        </div>
    </div>
<?php endif; ?>