<?php
function add_test_theme_page()
{
    add_theme_page(
        __('Zolog Welcome', 'zolog'),
        __('Zolog Theme', 'zolog'),
        'edit_theme_options',
        'zolog_welcome',
        'zolog_welcome_page_contents'
    );
}
add_action('admin_menu', 'add_test_theme_page');

// Redirect to Zolog Welcome Page 
add_action('admin_init', 'zolog_activation_redirect');
function zolog_activation_redirect()
{
    global $pagenow;
    if (is_admin() && $pagenow == "themes.php" && isset($_GET['activated'])) {
        wp_safe_redirect(admin_url("admin.php?page=zolog_welcome"));
    }
}

// Load Styles
function zolog_admin_style($hook)
{
    if ($hook != 'toplevel_page_zolog_welcome') {
        return;
    }
}
add_action('admin_enqueue_scripts', 'zolog_admin_style');

function zolog_welcome_page_contents()
{ ?>

    <div class="zolog-welcome">
        <h1>
            <?php esc_html_e('Welcome to Zolog WordPress Theme', 'zolog'); ?>
            <span class="theme-version"><?php echo 'v' . esc_html(wp_get_theme()->version); ?></span>
        </h1>
        <p><?php esc_html_e('Zolog is a simple, light and beautiful blogging template for WordPress made by Honar Systems. Compatible with WP Bakery and Elementor. Responsive Design/ Mobile Friendly. ', 'zolog'); ?></p>
        <div class="warnning">
            <p><?php echo sprintf('<strong>%1$s</strong> %2$s <a rel="nofollow noreferrer" href="%3$s">Regenerate Thumbnails</a> %4$s',
            esc_html__('Warnning: ','zolog'),
            esc_html__('In this theme, to adjust posts thumbnails, you should use ','zolog'),
            esc_url(admin_url("themes.php?page=tgmpa-install-plugins")),
            esc_html__('plugin to adjust the thumbnails.', 'zolog')); ?></p>
        </div>
        <div class="items">
            <div class="item">
                <div class="inner-item">
                    <span class="dashicons dashicons-admin-plugins"></span>
                    <h2><?php esc_html_e('Required Plugins', 'zolog'); ?></h2>
                    <p><?php esc_html_e('Install required plugins to use all features of the theme.', 'zolog'); ?></p>
                    <a href="<?php echo esc_url(admin_url("themes.php?page=tgmpa-install-plugins")); ?>" class="button button-primary">
                        <?php esc_html_e('Required Plugins', 'zolog'); ?>
                    </a>
                </div>
            </div>

            <div class="item">
                <div class="inner-item">
                    <span class="dashicons dashicons-info"></span>
                    <h2><?php esc_html_e('Demo Content', 'zolog'); ?></h2>
                    <p><?php esc_html_e('Available in Pro version.', 'zolog'); ?></p>
                </div>
            </div>

            <div class="item">
                <div class="inner-item">
                    <span class="dashicons dashicons-book-alt"></span>
                    <h2><?php esc_html_e('Documentation', 'zolog'); ?></h2>
                    <p><?php esc_html_e('Zolog theme documantation is available in Zolog host website.', 'zolog'); ?></p>
                    <a href="https://honarsystems.com/zolog-documentation/" class="button button-primary">
                        <?php esc_html_e('Read Documentation', 'zolog'); ?>
                    </a>
                </div>
            </div>
            <div class="item">
                <div class="inner-item">
                    <span class="dashicons dashicons-admin-generic"></span>
                    <h2><?php esc_html_e('Theme Customization', 'zolog'); ?></h2>
                    <p><?php esc_html_e('Zolog theme has an awesome customizations.', 'zolog'); ?></p>
                    <a href="<?php echo esc_url(admin_url('customize.php')); ?>" class="button button-primary">
                        <?php esc_html_e('Start Customizing', 'zolog'); ?>
                    </a>
                </div>
            </div>

            <div class="item">
                <div class="inner-item">
                    <span class="dashicons dashicons-visibility"></span>
                    <h2><?php esc_html_e('Demo', 'zolog'); ?></h2>
                    <p><?php esc_html_e('In demo website you can see the view of the website after installation the theme.', 'zolog'); ?></p>
                    <span class="zolog-italic"></span>
                    <a href="http://honarsystems.com/themes/zolog/" target="_blank" class="button button-primary">
                        <?php esc_html_e('Visit Zolog Demo', 'zolog'); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
<?php
}
