<?php

/**
 * Zolog search
 *
 * @package zolog
 */
?>

<div class="zolog-search-title">
    <div class="<?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
        <h1 class="page-title"><?php echo esc_html('Search Results for: ', 'zolog') . '<span class="search-term">' . esc_html(get_search_query()); ?></span></h1>
    </div>
</div>
<div id="content" class="zolog-content zolog-search <?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
    <?php is_rtl() ? get_sidebar('right') : get_sidebar('left'); ?>
    <div class="zolog-entries">
        <?php
        $columns = 'column-' . get_theme_mod('zolog_search_columns', '2');
        ?>
        <div class="posts zolog-grid <?php echo esc_html($columns); ?>">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) :/* loop start*/
                    the_post(); ?>
                    <?php get_template_part('/template-parts/content-template/grid'); ?>
                <?php endwhile; ?>
            <?php endif; ?>
        </div>
        <?php hs_zolog_entries_pagination(); ?>

    </div>
    <?php is_rtl() ? get_sidebar('left') : get_sidebar('right'); ?>
</div>