<?php

/**
 * Zolog single post template
 *
 * @package zolog
 */

if (!defined('ABSPATH')) {
    exit;
}

$thumbnail_width = get_theme_mod('zolog_single_thumbnail_boxed', 'wide') == 'boxed';
?>
<div class="<?php echo $thumbnail_width ? 'zolog-boxed' : ''; ?>">
    <?php hs_zolog_post_thumbnail(); ?>
</div>
<div id="content" class="zolog-entry <?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
    <div class="zolog-content">
        <?php is_rtl() ? get_sidebar('right') : get_sidebar('left'); ?>
        <?php if (have_posts()) : ?>
            <?php while (have_posts()) :/* loop start*/
                the_post(); ?>
                <article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <?php
                    hs_zolog_entry_category();
                    hs_zolog_entry_title(); ?>

                    <div class="entry-meta">
                        <?php hs_zolog_entry_published_date(); ?>
                        <?php hs_zolog_entry_comments_number(); ?>
                    </div>
                    <?php
                    $share_button_display = get_theme_mod('zolog_share_bottuns_post_display', 'yes') == 'yes';
                    ?>

                    <div class="entry-content">
                        <?php the_content(); ?>
                        <?php
                        wp_link_pages(
                            array(
                                'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'zolog') . '</span>',
                                'after' => '</div>',
                                'link_before' => '<span>',
                                'link_after' => '</span>',
                                'pagelink' => '<span class="screen-reader-text">' . __('Page', 'zolog') . ' </span>%',
                                'separator' => '<span class="screen-reader-text">, </span>',
                            )
                        );
                        ?>
                    </div>

                    <?php if ($share_button_display) : ?>
                        <?php hs_zolog_entry_share_buttons(); ?>
                    <?php endif; ?>
                    <?php
                    hs_zolog_post_tags();
                    hs_zolog_post_navigation();

                    if (get_theme_mod('zolog_single_author_display', 'yes') == 'yes') {
                        hs_zolog_post_avatar();
                    }

                    if (get_theme_mod('zolog_single_related_posts_display', 'yes') == 'yes') {
                        hs_zolog_related_posts();
                    }

                    hs_zolog_post_comment();
                    ?>
                </article>
            <?php endwhile; ?>
        <?php endif; ?>
        <?php is_rtl() ? get_sidebar('left') : get_sidebar('right'); ?>

    </div>
</div>