<?php

/**
 * Zolog blog list
 *
 * @package zolog
 */
if (is_home()) : ?>
    <?php if (get_theme_mod('zolog_slider_display', 'yes') == 'yes') : ?>
        <div class="home-slider">
            <?php get_template_part('/inc/slider'); ?>
        </div>
    <?php endif; ?>
    <?php if (is_active_sidebar('hs_zolog_before_content')) : ?>
        <div class="home-before-content">
            <?php dynamic_sidebar('hs_zolog_before_content'); ?>
        </div>
    <?php endif; ?>
<?php endif; ?>

<div id="content" class="zolog-content zolog-archive <?php echo esc_attr(get_theme_mod('zolog_boxed', 'boxed')) == 'boxed' ? 'zolog-boxed' : ''; ?>">
    <?php is_rtl() ? get_sidebar('right') : get_sidebar('left'); ?>
    <div class="zolog-entries">
        <?php
        $columns = 'column-' . get_theme_mod('zolog_blog_columns', '2');
        ?>
        <div class="posts zolog-grid <?php echo esc_html($columns); ?>">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) :/* loop start*/
                    the_post(); ?>
                    <?php get_template_part('/template-parts/content-template/grid'); ?>
                <?php endwhile; ?>
            <?php endif; ?>
        </div>
        <?php hs_zolog_entries_pagination(); ?>

    </div>
    <?php is_rtl() ? get_sidebar('left') : get_sidebar('right'); ?>
</div>

<?php if (is_home()) : ?>
    <?php if (is_active_sidebar('hs_zolog_after_content')) : ?>
        <div class="home-after-content">
            <?php dynamic_sidebar('hs_zolog_after_content'); ?>
        </div>
    <?php endif; ?>
<?php endif; ?>