<?php
$items_count = !empty($args['zolog_item_count']) ? $args['zolog_item_count'] : 3;
$zolog_banner_category_display=!empty($args['zolog_banner_category_display']) ? $args['zolog_banner_category_display'] : 'show';
$zolog_banner_meta_display=!empty($args['zolog_banner_meta_display']) ? $args['zolog_banner_meta_display'] : 'show';

if (!empty($args['zolog_banner_title'])) : ?>
    <div class="zolog-banner-1-title">
        <h2 class="widget-title">
            <?php echo wp_kses_post(apply_filters('widget_title', esc_html($args['zolog_banner_title']))); ?>
        </h2>
        <?php if (!empty($args['zolog_banner_description'])) : ?>
            <div class="widget-subtitle"><?php echo esc_html($args['zolog_banner_description']); ?></div>
        <?php endif; ?>
    </div>
<?php endif; ?>
<?php
$post_args = array(
    'post_type' => 'post',
    'posts_per_page' => $items_count,
    'post_status'    => 'publish',
);
if (!empty($args['zolog_banner_category'])) :
    $category_id = $args['zolog_banner_category'];
    $post_args = array(
        'cat' => $category_id,
        'posts_per_page' => $items_count,
        'post_status'    => 'publish',
    );
endif;
$query = new WP_Query($post_args); ?>
<div class="zolog-banner-1 hs-<?php echo esc_attr($args['widget_id']); ?>">
    <?php
    while ($query->have_posts()) :
        $query->the_post();
        $categories = get_the_category();

    ?>
        <div>
            <article id="banner-post-<?php the_ID(); ?>" class="entry">
                <?php if (has_post_thumbnail()) : ?>
                    <div class="entry-thumbnail">
                        <?php the_post_thumbnail('post-thumbnail', array('alt' => the_title_attribute('echo=0'), 'class' => '')); ?>
                    </div>
                <?php endif; ?>
                <div class="entry-header">
                    <div class="entry-meta">
                        <?php if (esc_attr($zolog_banner_category_display) == 'show') : ?>
                            <div class="entry-category">
                                <?php if (!empty($categories[0]->cat_name)) : ?>
                                    <a href="<?php echo esc_url(get_category_link($categories[0]->term_id)); ?>"><?php echo esc_html($categories[0]->cat_name); ?></a>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php the_title(sprintf('<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                        <?php if (esc_attr($zolog_banner_meta_display) == 'show') : ?>
                            <div class="entry-author">
                                <span class="byline"><?php esc_html_e("By: ", 'zolog') ?><span><?php the_author(); ?></span></span>
                                <?php
                                $time_string = '<span class="published-date">' . esc_html__("On: ", 'zolog') . '<span class="date"><time class="entry-date published updated" datetime="%1$s">%2$s <span class="month">%3$s</span> %4$s</time></span></span>';
                                $time_string = sprintf(
                                    $time_string,
                                    esc_attr(get_the_date(DATE_W3C)),
                                    esc_html(get_the_date("j")),
                                    esc_html(get_the_date("F")),
                                    esc_html(get_the_date("Y"))
                                );
                                echo wp_kses_post($time_string);
                                ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </article>
        </div>
    <?php
    endwhile; ?>
</div>