<?php
$items_count = !empty($args['zolog_item_count']) ? $args['zolog_item_count'] : 3;
if (!empty($args['zolog_category_title'])) : ?>
    <div class="zolog-category-2-title">
        <?php if (isset($args['before_title']) && isset($args['after_title'])) :
            echo wp_kses_post($args['before_title'] . apply_filters('widget_title', esc_html($args['zolog_category_title'])) . $args['after_title']);
        else : ?>
            <h4 class="widget-title">
                <?php echo wp_kses_post(apply_filters('widget_title', esc_html($args['zolog_category_title']))); ?>
                <span></span>
            </h4>
        <?php endif; ?>
        <?php if (!empty($args['zolog_category_description'])) : ?>
            <div class="widget-subtitle"><?php echo esc_html($args['zolog_category_description']); ?></div>
        <?php endif; ?>
    </div>
<?php endif; ?>
<?php
$post_args = array(
    'post_type' => 'post',
    'posts_per_page' => $items_count,
    'post_status'    => 'publish',
);
if (!empty($args['zolog_category_category'])) :
    $category_id = $args['zolog_category_category'];


    if (!empty($category_id)) {
        /*get posts by category id*/
        $post_args = array(
            'cat' => $category_id,
            'posts_per_page' => $items_count,
            'post_status'    => 'publish',
        );
    }
endif;
$query = new WP_Query($post_args); ?>
<div class="zolog-category-2">
    <?php
    $counter = 1;
    while ($query->have_posts()) :
        $query->the_post();
        $categories = get_the_category();

    ?>
        <article id="category-post-<?php the_ID(); ?>" class="entry">
            <?php if (has_post_thumbnail()) : ?>
                <div class="entry-thumbnail">
                    <a href="<?php echo esc_url(get_permalink()); ?>">
                        <?php the_post_thumbnail('post-thumbnail', array('alt' => the_title_attribute('echo=0'), 'class' => '')); ?>
                    </a>
                    <span class="count"><?php echo esc_html($counter); ?></span>
                </div>
            <?php endif; ?>
            <div class="entry-header">
                <?php the_title(sprintf('<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                <div class="entry-meta">
                    <span class="entry-category">
                        <?php if (!empty($categories[0]->cat_name)) : ?>
                            <a href="<?php echo esc_url(get_category_link($categories[0]->term_id)); ?>"><?php echo esc_html($categories[0]->cat_name); ?></a>
                        <?php endif; ?>
                    </span>
                    <?php
                    $time_string = '<span class="date"><time class="entry-date published updated" datetime="%1$s">%2$s</time></span>';
                    $time_string = sprintf(
                        $time_string,
                        esc_attr(get_the_date(DATE_W3C)),
                        esc_html(get_the_date("j M, Y"))
                    ); ?>
                    <span class="entry-date">
                        <?php echo wp_kses_post($time_string); ?>
                    </span>
                </div>
            </div>
        </article>
    <?php
        $counter++;
    endwhile; ?>
</div>