<?php
$items_count = !empty($args['zolog_item_count']) ? $args['zolog_item_count'] : 5;
$items_display_count = !empty($args['zolog_display_count']) ? $args['zolog_display_count'] : 3;
$zolog_category_slider_category_display = !empty($args['zolog_category_slider_category_display']) ? $args['zolog_category_slider_category_display'] : 'show';
$zolog_category_slider_meta_display = !empty($args['zolog_category_slider_meta_display']) ? $args['zolog_category_slider_meta_display'] : 'show';

if (!empty($args['zolog_category_slider_title'])) : ?>
    <div class="zolog-category-slider-3-title">
        <h2 class="widget-title">
            <?php echo wp_kses_post(apply_filters('widget_title', esc_html($args['zolog_category_slider_title']))); ?>
        </h2>
        <?php if (!empty($args['zolog_category_slider_description'])) : ?>
            <div class="widget-subtitle"><?php echo esc_html($args['zolog_category_slider_description']); ?></div>
        <?php endif; ?>
    </div>
<?php endif; ?>
<?php
$post_args = array(
    'post_type' => 'post',
    'posts_per_page' => $items_count,
    'post_status'    => 'publish',
);
if (!empty($args['zolog_category_slider_category'])) :
    $category_id = $args['zolog_category_slider_category'];


    if (!empty($category_id)) {
        /*get posts by category id*/
        $post_args = array(
            'cat' => $category_id,
            'posts_per_page' => $items_count,
            'post_status'    => 'publish',
        );
    }
endif;
$query = new WP_Query($post_args); ?>
<div class="zolog-category-slider-3 hs-<?php echo esc_attr($args['widget_id']); ?>">
    <?php
    while ($query->have_posts()) :
        $query->the_post();
        $categories = get_the_category();
    ?>
        <div>
            <article id="category-slider-post-3-<?php the_ID(); ?>" class="entry">
                <?php if (has_post_thumbnail()) : ?>
                    <div class="entry-thumbnail">
                        <a href="<?php echo esc_url(get_permalink()); ?>">
                            <?php the_post_thumbnail('post-thumbnail', array('alt' => the_title_attribute('echo=0'), 'class' => '')); ?>
                        </a>
                    </div>
                <?php endif; ?>
                <div class="entry-header">
                    <div class="entry-meta">
                        <?php if (esc_attr($zolog_category_slider_category_display) == 'show') : ?>
                            <div class="entry-category">
                                <?php if (!empty($categories[0]->cat_name)) : ?>
                                    <?php esc_html_e('in', 'zolog'); ?><a href="<?php echo esc_url(get_category_link($categories[0]->term_id)); ?>"><?php echo esc_html($categories[0]->cat_name); ?></a>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php the_title(sprintf('<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                    </div>
                </div>
            </article>
        </div>
    <?php
    endwhile; ?>
</div>